| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KURLPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] URL=.... More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KURLPropsPlugin:

[legend]
Collaboration diagram for KURLPropsPlugin:

[legend]
List of all members.

## Public Member Functions
| KURLPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.
## Static Public Member Functions
bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] URL=....

Such files are used to represent a program in kpanel and kfm.

Definition at line 572 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KURLPropsPlugin::KURLPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 1901 of file kpropertiesdialog.cpp. References KDialogBase::addPage(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), KPropertiesDialog::dialog(), QString::fromLatin1(), QString::isNull(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, KConfigBase::readPathEntry(), KConfigBase::setDesktopGroup(), QLabel::setText(), KURLRequester::setURL(), and KDialog::spacingHint().

## Member Function Documentation

void KURLPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 1960 of file kpropertiesdialog.cpp. References QFile::close(), KURL::fileName(), QString::fromLatin1(), KConfigBase::hasKey(), KPropertiesDialog::kurl(), QString::length(), QFile::open(), KURL::path(), KPropsDlgPlugin::properties, QString::right(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QString::truncate(), KURLRequester::url(), and KConfigBase::writeEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:24:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001